Page MenuHomePhabricator

D42. Flow talkpage conversion (LQT->Flow) should not send an email to users with enotifwatchlistpages about the page move or redirect creation
Closed, ResolvedPublic

Description

As a user with the enotifwatchlistpages preference enabled ("Email me when a page or file on my watchlist is changed"), I receive email for the LQT->Flow pagemove that is part of the conversion process (when user:Flow_talk_page_manager moves the LQT-header/page-history to the /..._archive location. e.g. https://www.mediawiki.org/w/index.php?title=Talk:Collaboration/LQT_Archive_1&diff=prev&oldid=1664326)

We should consider how this will scale, during entire namespace conversions (for both LQT->Flow, and for Wikitext->Flow).
Possibly we could send a clearer email for these specific actions?
Or possibly not send emails for this particular use-case?
Or something else?


Task filed, based on the comments by @Risker in https://www.mediawiki.org/wiki/Topic:Siiavth54u8a0rm8:

Incidentally, what brought me here today was an email message informing me that User:Flow_talk_page_manager had moved a page called Talk:Flow Portal/Archive2 (a page that as far as I knew wasn't on my watchlist), and when I followed the link....there was nothing there. I can't tell what got moved where [...]

I (Quiddity) have now used 2 of my test accounts to watchlist a variety of the pages/threads/posts in the list of "Day 4" LQT conversions, and set the enotifwatchlistpages preference on them, in order to replicate and see additional details.


Screenshot:

Event Timeline

Quiddity created this task.Jun 5 2015, 6:44 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added subscribers: Quiddity, Risker.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 6:44 PM
Mattflaschen-WMF renamed this task from Flow talkpage conversion (LQT->Flow) sends an email to users with enotifwatchlistpages for the page-move - investigate concerns for how this scales to Flow talkpage conversion (LQT->Flow) should not send an email to users with enotifwatchlistpages about the page move or redirect creation.
Mattflaschen-WMF set Security to None.
Elitre added a subscriber: Elitre.Jun 10 2015, 7:49 AM
DannyH renamed this task from Flow talkpage conversion (LQT->Flow) should not send an email to users with enotifwatchlistpages about the page move or redirect creation to D8. Flow talkpage conversion (LQT->Flow) should not send an email to users with enotifwatchlistpages about the page move or redirect creation.Jun 16 2015, 7:24 PM
Mattflaschen-WMF triaged this task as High priority.Jun 18 2015, 6:28 AM

Change 219127 had a related patch set uploaded (by Mattflaschen):
Suppress notification emails for Flow user actions (including import)

https://gerrit.wikimedia.org/r/219127

Change 219127 merged by Matthias Mullie:
Suppress notification emails for Flow user actions (including import)

https://gerrit.wikimedia.org/r/219127

DannyH renamed this task from D8. Flow talkpage conversion (LQT->Flow) should not send an email to users with enotifwatchlistpages about the page move or redirect creation to D42. Flow talkpage conversion (LQT->Flow) should not send an email to users with enotifwatchlistpages about the page move or redirect creation.Jun 18 2015, 5:38 PM

Checked on http://test.wikimedia.beta.wmflabs.org/wiki/

a user with the enotifwatchlistpages preference enabled ("Email me when a page or file on my watchlist is changed"), I receive email for the LQT->Flow pagemove

Now, a user does not receive any notification about LQT->Flow page move.

However, after a page has been converted to Flow all email notifications stop. The user notifications(in the upper menu) are fine.

DannyH added a subscriber: DannyH.

Moving this back to In Dev.

Elena found a problem in QA -- threads that are converted from LQT to Flow are not sending emails at all after the conversion.

Re-cheked: in order to receive proper Email notification after LQT->Flow conversion, Flow Email notification option should be enabled(not enabled by default).

"Email me when a page or file on my watchlist is changed" - on User profile preferences does not affect options on Notifications tab.

DannyH closed this task as Resolved.Jun 22 2015, 11:18 PM